"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1042e65f0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6680>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6710>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1042e67a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6830>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1042e68c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6950>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1042e69e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6a70>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6b00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6b90>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6c20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6cb0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6d40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6dd0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6e60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6ef0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1042e6f80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7010>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1042e70a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7130>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1042e71c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7250>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1042e72e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7400>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7370>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7490>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7520>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1042e75b0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7640>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1042e76d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7760>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e77f0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7880>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7910>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1042e79a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7a30>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7ac0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7b50>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7be0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7c70>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7d00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7d90>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7e20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7eb0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1042e7f40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x104328040>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1043280d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104328160>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1043281f0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104328280>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104328310>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043283a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104328430>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1043284c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104328550>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043285e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104328670>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104328700>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104328790>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104328820>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1043288b0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104328940>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1043289d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104328a60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x104328c10>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104328af0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x104328ca0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104328d30>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104328dc0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x104328e50>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104328ee0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104329000>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x104328f70>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104329090>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104329120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1043291b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1043292d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104329240>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104329360>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1043293f0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104329480>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104329510>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1043295a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104329630>)]
name: str = 'fr_HOCCN'
